
class Problem:
    def __init__(self, problem_size):
        pass

    def load_problem_dataset_pkl(self, filename, num_problems, index_begin):
        pass

    def load_problem_dataset_pt(self, filename, device):
        pass

    def init_problems(self, batch_size, aug_factor):
        pass